package com.njzscloud.supervisory.biz.service;

import cn.hutool.core.thread.ThreadUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class Test {

    // @Task(memo = "测试任务", cron = "0/5 * * * * ?")
    public void test1() {
        ThreadUtil.sleep(200);
        log.info("test1");
    }

    // @Task(memo = "测试任务", cron = "0/4 * * * * ?")
    public void test2() {
        ThreadUtil.sleep(200);
        log.info("test2");
    }

    // @Task(memo = "测试任务", cron = "0/10 * * * * ?")
    public void test3() {
        ThreadUtil.sleep(200);
        log.info("test3");
    }

    // @Task(memo = "测试任务", cron = "0/1 * * * * ?")
    public void test4() {
        ThreadUtil.sleep(200);
        log.info("test4");
    }

    // @Task(memo = "测试任务", cron = "30 2 12 * * ?")
    public void test5() {
        ThreadUtil.sleep(200);
        log.info("test5");
    }
}
